> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Tag thread

> Tags a given thread. Read how to [list all available tags](/management/configuration-api/v3.6#list-tags) and [create a new tag](/management/configuration-api/v3.6#create-tag).

**Required scopes:** <Tooltip tip="To tag a thread taking place in any group.">`chats--all:rw`</Tooltip> or <Tooltip tip="To tag a thread taking place in groups that the requester (related to the token) is a member of. The agent groups and the chat groups must overlap — at least one group must be in common.">`chats--access:rw`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.7/openapi.json post /action/tag_thread
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/agent
    description: Production server
security: []
paths:
  /action/tag_thread:
    post:
      tags:
        - Thread tags
      summary: Tag thread
      description: >-
        Tags a given thread. Read how to [list all available
        tags](/management/configuration-api/v3.6#list-tags) and [create a new
        tag](/management/configuration-api/v3.6#create-tag).
      operationId: tag-thread
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagThreadRequest'
            example:
              chat_id: PW94SJTGW6
              thread_id: PWS6GIKAKH
              tag: support
      responses:
        '200':
          description: Thread tagged.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:rw
components:
  schemas:
    TagThreadRequest:
      type: object
      required:
        - chat_id
        - thread_id
        - tag
      properties:
        chat_id:
          type: string
          description: The ID of the chat containing the thread to tag.
        thread_id:
          type: string
          description: The ID of the thread to tag.
        tag:
          type: string
          description: The tag name. It's case sensitive.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````